Bug 489984 - AttributeError: FakeRepository instance has no attribute 'sack'
AttributeError: FakeRepository instance has no attribute 'sack'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 14:45 EDT by John Reiser
Modified: 2014-01-21 18:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 14:24:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2009-03-12 14:45:56 EDT
Description of problem: internal error in yum


Version-Release number of selected component (if applicable):
yum-3.2.21-13.fc11.noarch


How reproducible: always


Steps to Reproduce:
1. cd /var/cache/pungi/rawhide/packages
2. rm -f $(repomanage -o .)
3. yum --nogpgcheck --skip-broken localupdate *.fc11.i?86.rpm *.fc11.noarch.rpm

  
Actual results:
  [snip]
--> Finished Dependency Resolution
gnome-desktop-2.25.92-2.fc11.i586 from gnome-desktop-2.25.92-2.fc11.i586.rpm has depsolving problems
  --> Missing Dependency: leonidas-backgrounds is needed by package gnome-desktop-2.25.92-2.fc11.i586 (gnome-desktop-2.25.92-2.fc11.i586.rpm)
--> Running transaction check
---> Package gnome-desktop.i586 0:2.25.92-2.fc11 set to be updated
--> Processing Dependency: leonidas-backgrounds for package: gnome-desktop
---> Package kernel.i586 0:2.6.29-0.203.rc7.fc11 set to be erased
--> Finished Dependency Resolution
gnome-desktop-2.25.92-2.fc11.i586 from gnome-desktop-2.25.92-2.fc11.i586.rpm has depsolving problems
  --> Missing Dependency: leonidas-backgrounds is needed by package gnome-desktop-2.25.92-2.fc11.i586 (gnome-desktop-2.25.92-2.fc11.i586.rpm)
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 306, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 217, in main
    (result, resultmsgs) = base.buildTransaction() 
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 720, in buildTransaction
    rescode, restring = self._skipPackagesWithProblems(rescode, restring)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 768, in _skipPackagesWithProblems
    _remove(po,  depTree, toRemove)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 735, in _remove
    _remove_from_sack(po)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 745, in _remove_from_sack
    self.pkgSack.delPackage(pkg)
  File "/usr/lib/python2.6/site-packages/yum/packageSack.py", line 389, in delPackage
    obj.repo.sack.delPackage(obj)
AttributeError: FakeRepository instance has no attribute 'sack'


Expected results: no internal error


Additional info:
Comment 1 John Reiser 2009-03-12 14:47:35 EDT
"--exclude gnome-desktop" works in place of "--skip-broken".
Comment 2 seth vidal 2009-03-12 17:01:04 EDT
okay, So skip-broken is trying to exclude the localpackages and it can't..

tricksy.

thanks
Comment 3 seth vidal 2009-03-12 17:11:36 EDT
Can you test a patch?
Comment 4 John Reiser 2009-03-12 17:40:00 EDT
I'll try.  I've never tested a patch before, so I'll need good directions.
Comment 5 seth vidal 2009-03-23 14:24:03 EDT
Nevermind. This is now fixed in rawhide.

http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=4a0286274f0b87fdcb0fe4b6739abd10f8ced471

Note You need to log in before you can comment on or make changes to this bug.